Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp.parser
Class ConfigurableFTPFileEntryParserImpl

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
              org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl

All Implemented Interfaces:
  Configurable, FTPFileEntryParser, FTPFileListParser

Direct Known Subclasses:
  MVSFTPEntryParser, NTFTPEntryParser, OS2FTPEntryParser, OS400FTPEntryParser, UnixFTPEntryParser, VMSFTPEntryParser

public abstract class ConfigurableFTPFileEntryParserImpl
extends RegexFTPFileEntryParserImpl
implements Configurable

To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates - Comments

Field Summary

Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`_matcher_`

Constructor Summary
`ConfigurableFTPFileEntryParserImpl(String regex)` Only constructor for this absract class.

Method Summary
`void` | `configure(FTPClientConfig config)` Implementation of the `Configurable` interface.
`protected abstract FTPClientConfig` | `getDefaultConfiguration()` Each concrete subclass must define this member to create a default configuration to be used when that subclass is instantiated without a `FTPClientConfig` parameter being specified.
`Calendar` | `parseTimestamp(String timestampStr)` This method is called by the concrete parsers to delegate timestamp parsing to the timestamp parser.

Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`getGroupCnt, getGroupsAsString, group, matches`

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`parseFileList, parseFileList, preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.net.ftp.FTPFileEntryParser
`parseFTPEntry`

Constructor Detail

### ConfigurableFTPFileEntryParserImpl

    public ConfigurableFTPFileEntryParserImpl(String regex)

  Only constructor for this absract class.

Parameters:
  `regex` - Regular expression used main parsing of the file listing.

Method Detail

### parseTimestamp

    public Calendar parseTimestamp(String timestampStr)
                            throws ParseException

  This method is called by the concrete parsers to delegate timestamp parsing to the timestamp parser.

  Parameters:
    `timestampStr` - the timestamp string pulled from the file listing by the regular expression parser, to be submitted to the `timestampParser` for extracting the timestamp.
  Returns:
    a `java.util.Calendar` containing results of the timestamp parse.
  Throws:
    `ParseException`

### configure

    public void configure(FTPClientConfig config)

  Implementation of the `Configurable` interface. Configures this parser by delegating to the underlying Configurable FTPTimestampParser implementation, ' passing it the supplied `FTPClientConfig` if that is non-null or a default configuration defined by each concrete subclass.

  Specified by:
    `configure` in interface `Configurable`
  Parameters:
    `config` - the configuration to be used to configure this parser. If it is null, a default configuration defined by each concrete subclass is used instead.
  Returns:
    the object being configured after the configuration

### getDefaultConfiguration

    protected abstract FTPClientConfig getDefaultConfiguration()

  Each concrete subclass must define this member to create a default configuration to be used when that subclass is instantiated without a `FTPClientConfig` parameter being specified.

  Returns:
    the default configuration for the subclass.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.